com.ibm.openpages.api.resource

## Class AssociationFilter

- java.lang.Object
- - com.ibm.openpages.api.resource.AssociationFilter

-     public class AssociationFilter
      extends java.lang.Object

  Filtering class for Association.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IncludeAssociations` | `getIncludeAssociations()` Returns the include associations type.
    `java.util.Set<ITypeDefinition>` | `getTypeFilters()` Returns the list of type definition used for filtering.
    `boolean` | `isHonorPrimary()` Returns the status of HonorPrimary flag.
    `void` | `setHonorPrimary(boolean honorPrimary)` Sets the status of HonorPrimary flag.
    `void` | `setIncludeAssociations(IncludeAssociations includeAssociations)` Sets include association type.
    `void` | `setTypeFilters(ITypeDefinition... types)` Sets zero or more type definition to use as filters.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociationFilter

          public AssociationFilter()

  - ### Method Detail

    - #### getTypeFilters

          public java.util.Set<ITypeDefinition> getTypeFilters()

      Returns the list of type definition used for filtering. An empty list means all types are included.
      Returns:
        the list of type definition used for filtering

    - #### setTypeFilters

          public void setTypeFilters(ITypeDefinition... types)

      Sets zero or more type definition to use as filters.
      Parameters:
        `types` - zero or more type definitions

    - #### setIncludeAssociations

          public void setIncludeAssociations(IncludeAssociations includeAssociations)

      Sets include association type.
      Parameters:
        `includeAssociations` - the type of association type to include

    - #### getIncludeAssociations

          public IncludeAssociations getIncludeAssociations()

      Returns the include associations type.
      Returns:
        the include associations type

    - #### isHonorPrimary

          public boolean isHonorPrimary()

      Returns the status of HonorPrimary flag.
      Returns:
        true indicates only the primary children will be retrieved false indicates all the children will be retrieved

    - #### setHonorPrimary

          public void setHonorPrimary(boolean honorPrimary)

      Sets the status of HonorPrimary flag.
      Parameters:
        `honorPrimary` - Set to true to retrieve only the primary children Set to false to retrieve all the children.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.